> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Default

> Returns the project's default network with its default subnet.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /vpc/v1alpha1/networks/get-default
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.DevlabService
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.applications.v1alpha1.VmAppTemplateService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1.PricingPolicyService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.billing.v1alpha1.SpotPriceService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.InventoryService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /vpc/v1alpha1/networks/get-default:
    get:
      tags:
        - nebius.vpc.v1alpha1.NetworkService
      summary: Get Default
      description: Returns the project's default network with its default subnet.
      operationId: NetworkService_GetDefault
      parameters:
        - in: query
          name: parentId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/nebius.vpc.v1alpha1.GetDefaultNetworkResponse
          description: A successful response.
components:
  schemas:
    nebius.vpc.v1alpha1.GetDefaultNetworkResponse:
      properties:
        network:
          $ref: '#/components/schemas/nebius.vpc.v1alpha1.Network'
        subnet:
          $ref: '#/components/schemas/nebius.vpc.v1alpha1.Subnet'
      type: object
    nebius.vpc.v1alpha1.Network:
      description: >-
        Defines a Network, which serves as a virtual representation of a
        traditional LAN

        within a cloud environment.

        Networks facilitate communication between subnets.
      properties:
        metadata:
          allOf:
            - $ref: '#/components/schemas/nebius.common.v1.ResourceMetadata'
          description: |-
            Metadata for the network resource.
            `metadata.parent_id` represents IAM container
        spec:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.NetworkSpec'
          description: Specification of the network.
        status:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.NetworkStatus'
          description: Status of the network.
      type: object
    nebius.vpc.v1alpha1.Subnet:
      description: >-
        Defines a Subnet, a segment of a network used for more granular control
        and management.

        Subnet uses pools to organize address space.
      properties:
        metadata:
          allOf:
            - $ref: '#/components/schemas/nebius.common.v1.ResourceMetadata'
          description: |-
            Metadata for the subnet resource.
            `metadata.parent_id` represents IAM container
        spec:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.SubnetSpec'
          description: Specification of the subnet.
        status:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.SubnetStatus'
          description: Status of the subnet.
      type: object
    nebius.common.v1.ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    nebius.vpc.v1alpha1.NetworkSpec:
      properties:
        pools:
          description: Pools for addresses
          items:
            $ref: '#/components/schemas/nebius.vpc.v1alpha1.NetworkPool'
          type: array
      type: object
    nebius.vpc.v1alpha1.NetworkStatus:
      properties:
        default:
          description: Indicates whether this is the project's default network.
          type: boolean
        scopeId:
          description: Scope ID of all pools
          type: string
        state:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.NetworkStatus.State'
          description: Current state of the network.
      type: object
    nebius.vpc.v1alpha1.SubnetSpec:
      properties:
        enableEgressNat:
          description: Enable egress NAT gateway
          type: boolean
        networkId:
          description: Network ID.
          type: string
        pools:
          description: Pool for addresses
          items:
            $ref: '#/components/schemas/nebius.vpc.v1alpha1.SubnetPool'
          type: array
      type: object
    nebius.vpc.v1alpha1.SubnetStatus:
      properties:
        default:
          description: Indicates whether this is the network's default subnet.
          type: boolean
        ipv4Cidrs:
          description: CIDR blocks.
          items:
            type: string
          type: array
        state:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.SubnetStatus.State'
          description: Current state of the subnet.
      type: object
    nebius.vpc.v1alpha1.NetworkPool:
      properties:
        poolId:
          type: string
      type: object
    nebius.vpc.v1alpha1.NetworkStatus.State:
      default: STATE_UNSPECIFIED
      description: |-
        Enumeration of possible states of the network.

         - STATE_UNSPECIFIED: Default state, unspecified.
         - CREATING: Network is being created.
         - READY: Network is ready for use.
         - DELETING: Network is being deleted.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - READY
        - DELETING
      type: string
    nebius.vpc.v1alpha1.SubnetPool:
      properties:
        poolId:
          type: string
        spec:
          $ref: '#/components/schemas/nebius.vpc.v1alpha1.SubnetPoolSpec'
      type: object
    nebius.vpc.v1alpha1.SubnetStatus.State:
      default: STATE_UNSPECIFIED
      description: |-
        Enumeration of possible states of the subnet.

         - STATE_UNSPECIFIED: Default state, unspecified.
         - CREATING: Subnet is being created.
         - READY: Subnet is ready for use.
         - DELETING: Subnet is being deleted.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - READY
        - DELETING
      type: string
    nebius.vpc.v1alpha1.SubnetPoolSpec:
      properties:
        cidrs:
          items:
            $ref: '#/components/schemas/nebius.vpc.v1alpha1.SubnetCidr'
          type: array
        version:
          $ref: '#/components/schemas/nebius.vpc.v1alpha1.IpVersion'
      type: object
    nebius.vpc.v1alpha1.SubnetCidr:
      properties:
        allowedMask:
          description: Maximum mask length for allocation from this cidr
          format: int64
          type: string
        cidr:
          description: >-
            CIDR block.

            May be a prefix length (such as /24) or a CIDR-formatted string
            (such as 10.1.2.0/24).
          type: string
        state:
          allOf:
            - $ref: '#/components/schemas/nebius.vpc.v1alpha1.PoolCidrState'
          description: State of the Cidr.
      type: object
    nebius.vpc.v1alpha1.IpVersion:
      default: IP_VERSION_UNSPECIFIED
      description: |2-
         - IP_VERSION_UNSPECIFIED: Default, unspecified IP version.
         - IPV4: IPv4 address.
         - IPV6: IPv6 address.
      enum:
        - IP_VERSION_UNSPECIFIED
        - IPV4
        - IPV6
      type: string
    nebius.vpc.v1alpha1.PoolCidrState:
      default: STATE_UNSPECIFIED
      description: |2-
         - STATE_UNSPECIFIED: Default, unspecified state.
         - AVAILABLE: Allocation from range is available.
         - DISABLED: New allocation would not be created.
      enum:
        - STATE_UNSPECIFIED
        - AVAILABLE
        - DISABLED
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````